Subject: FVWM: fvwm-themes

From: Tim Hanson <[email-masked]>
Date: Sun, 13 Oct 2002 23:21:54 -0700

I don't know whether I'm having trouble with fvwm-themes or it's having trouble 
with me.  I have the SuSE distro, which bundles 2.4.8.  It also bundles 
fvwm-themes.  The problem is that I get an error on star,  <<ERROR>> can't open 
display.

Does fvwm-themes look for fvwm2 or just fvwm?  I heard a while back that fvwm2 
was going to be renamed back to fvwm and if so, someone should tell SuSE that so 
  things that depend on having the program don't break.
-- 
If money can't buy happiness, I guess you'll just have to rent it.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 14 Oct 2002 07:13:08 +0000

On 13 Oct 2002 23:21:54 -0700, Tim Hanson wrote:
> 
> I don't know whether I'm having trouble with fvwm-themes or it's having 
> trouble with me.  I have the SuSE distro, which bundles 2.4.8.  It also 
> bundles fvwm-themes.  The problem is that I get an error on star,  
> <<ERROR>> can't open display.
> 
> Does fvwm-themes look for fvwm2 or just fvwm?  I heard a while back that 
> fvwm2 was going to be renamed back to fvwm and if so, someone should tell 
> SuSE that so things that depend on having the program don't break.

Ok, after some tricky search I finally found what you have:

  http://www.suse.de/de/private/products/suse_linux/i386/packages_professional/index_all.html

They ship very old fvwm-themes-0.4.2, but it may work ok with fvwm-2.4.8
probably, I don't know.

You may install fvwm-themes-0.6.1 from sources, it works well with 2.4.8.
2.4.8 has both executable names fvwm and fvwm2, so don't worry about this.

Now, to your problem. Do you start fvwm-themes-start instead of startx or
xinit? See /usr/share/doc/packages/fvwm-themes/README .

Regards,
Mikhael.

---

From: Tim Hanson <[email-masked]>
Date: Mon, 14 Oct 2002 17:16:33 -0700

> xinit? See /usr/share/doc/packages/fvwm-themes/README .

Okay, that did the trick.  I ended up modifying startx and calling it something 
else, so I don't need to go editing .xinitrc every time I want to do something. 
  I hope your docs explain how to take one's present .fvwm2rc and modify it to suit.

-- 
After the last of 16 mounting screws has been removed from an access
cover, it will be discovered that the wrong access cover has been
removed.